#!/bin/sh
if [ "$1" = "" ] ; then
	echo "echo Usage example: builddist.sh 1.5.6"
	exit 1
fi

echo ==============================================
echo      Building SOSI library distribution
echo ==============================================

mvn clean install javadoc:javadoc
cd seal
mvn -P xerces test
#mkdir -p target/seal-bin/seal/dependencies
mvn assembly:directory -DskipTests=true -Ddescriptor=../assembly.xml
cd  ..
mvn assembly:assembly -DskipTests=true -Ddescriptor=assembly.xml

RELEASE_DIR=../../releases/$1
mkdir -p $RELEASE_DIR
mv target/sosi-bin.tar.gz $RELEASE_DIR/sosi-$1-complete.tar.gz
mv target/sosi-bin.zip $RELEASE_DIR/sosi-$1-complete.zip
mv seal/target/seal.jar $RELEASE_DIR/seal-$1.jar

echo =======================================================================
echo      The distribution files can be found in $RELEASE_DIR
echo =======================================================================
