/*
 * The SOSI OSS Library - Copyright (C) 2011 National Board of e-Health (NSI)
 *
 * All source code and information supplied as part of the SOSI OSS Library
 * is copyright to National Board of e-Health.
 *
 * The source code has been released under a dual license - meaning you can
 * use either licensed version of the library with your code.
 *
 * It is released under the Common Public License 1.0, a copy of which can
 * be found at the link below.
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * It is released under the LGPL (GNU Lesser General Public License), either
 * version 2.1 of the License, or (at your option) any later version. A copy
 * of which can be found at the link below.
 * http://www.gnu.org/copyleft/lesser.html
 *
 */
package dk.sosi.demo.cpr;

import dk.sosi.demo.axis2.module.SOSIClient;
import dk.sosi.seal.SOSIFactory;
import dk.sosi.seal.model.IDCard;
import dk.sosi.seal.model.ReplyHeader;
import dk.sosi.seal.model.Request;
import dk.sosi.seal.pki.DistinguishedName;

/**
 * @author Nymand
 */
public class CPRSOSIClient implements SOSIClient {

    public SOSIFactory createSOSIFactory() {
        return CredentialVaultUtil.createSOSIFactory();
    }

    public Request createRequest(SOSIFactory factory) {
        String flowID = null; // only necessary when multiple calls to service (session)
        return factory.createNewRequest(false, flowID);
    }

    public boolean isAuthorized(ReplyHeader replyHeader) {
        IDCard card = replyHeader.getIDCard();
        System.out.println("reply id-card signed by " + new DistinguishedName(card.getSignedByCertificate().getSubjectX500Principal()) + " - thats ok");
        return true;
    }
}
