/*
 * The SOSI OSS Library - Copyright (C) 2011 National Board of e-Health (NSI)
 *
 * All source code and information supplied as part of the SOSI OSS Library
 * is copyright to National Board of e-Health.
 *
 * The source code has been released under a dual license - meaning you can
 * use either licensed version of the library with your code.
 *
 * It is released under the Common Public License 1.0, a copy of which can
 * be found at the link below.
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * It is released under the LGPL (GNU Lesser General Public License), either
 * version 2.1 of the License, or (at your option) any later version. A copy
 * of which can be found at the link below.
 * http://www.gnu.org/copyleft/lesser.html
 *
 */
package dk.sosi.demo.client;

import dk.sosi.demo.client.pacf.LocalTomcatServiceConnector;
import dk.sosi.demo.client.pacf.SOSIClientController;
import dk.sosi.demo.client.pacf.SOSIClientFormatter;
import dk.sosi.demo.client.pacf.SOSIClientPresentation;

/**
 * Application incl GUI for the <code>Client</code> demo.
 * 
 * @author Jan Riis
 */
public class SOSIClientDemo {
    public static void main( String[] args ) {
    	SOSIClientController controller = new SOSIClientController(); 
    	SOSIClientPresentation presentation = new SOSIClientPresentation(controller);
    	controller.initialize(new LocalTomcatServiceConnector(), new SOSIClientFormatter(presentation));
    	presentation.setVisible(true);
    }
}
