/*
 * The SOSI OSS Library - Copyright (C) 2011 National Board of e-Health (NSI)
 *
 * All source code and information supplied as part of the SOSI OSS Library
 * is copyright to National Board of e-Health.
 *
 * The source code has been released under a dual license - meaning you can
 * use either licensed version of the library with your code.
 *
 * It is released under the Common Public License 1.0, a copy of which can
 * be found at the link below.
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * It is released under the LGPL (GNU Lesser General Public License), either
 * version 2.1 of the License, or (at your option) any later version. A copy
 * of which can be found at the link below.
 * http://www.gnu.org/copyleft/lesser.html
 *
 */
package dk.sosi.demo.client.pacf;

import dk.sosi.seal.model.IDCard;


/**
 * The actions that can be pressed upon a SOSI Client agent. 
 *
 * @author Jan Riis
 * 
 * @since 1.0
 */
public interface SOSIClientActions {
	/**
	 * Initializes the agent with the reactor instance.
	 */
	void initialize(ServiceConnector connector, SOSIClientReactions reactor);
	
	/**
	 * Request or renew a SOSI ID-Card.
	 * @throws Exception 
	 */
	IDCard requestIDCard(int level, String cpr, String givenName, String surName, String occupation, String email, String role, String systemName, String orgName, String orgCVR, boolean print) throws Exception;

	/**
	 * Request demo service.
	 */
	void requestService(String arg) throws Exception;
}
