/*
 * The SOSI OSS Library - Copyright (C) 2011 National Board of e-Health (NSI)
 *
 * All source code and information supplied as part of the SOSI OSS Library
 * is copyright to National Board of e-Health.
 *
 * The source code has been released under a dual license - meaning you can
 * use either licensed version of the library with your code.
 *
 * It is released under the Common Public License 1.0, a copy of which can
 * be found at the link below.
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * It is released under the LGPL (GNU Lesser General Public License), either
 * version 2.1 of the License, or (at your option) any later version. A copy
 * of which can be found at the link below.
 * http://www.gnu.org/copyleft/lesser.html
 *
 */
package dk.sosi.demo.client.pacf;

import javax.xml.namespace.QName;
import javax.xml.rpc.handler.GenericHandler;
import javax.xml.rpc.handler.HandlerInfo;
import javax.xml.rpc.handler.MessageContext;
import javax.xml.rpc.handler.soap.SOAPMessageContext;
import javax.xml.soap.SOAPMessage;
import javax.xml.transform.Source;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.stream.StreamResult;
import java.io.ByteArrayOutputStream;
import java.io.PrintWriter;
import java.io.StringWriter;
import java.util.HashMap;


/**
 * This class is used for fetching the SOAP XML request and response
 * send and received from the service provider 
 * so that it can be used for debugging.  
 */
public class SoapHandler extends GenericHandler {
	HandlerInfo hi;

	public void init(HandlerInfo info) {
		System.out.println("1HHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH");
		hi = info;
		if (hi.getHandlerConfig() == null) {
			hi.setHandlerConfig(new HashMap());
		}
	}

	public QName[] getHeaders() {
		System.out.println("2HHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH");
		return hi.getHeaders();
	}
	
	public boolean handleRequest(MessageContext context) {
		System.out.println("3HHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH");
		hi.getHandlerConfig().put("request", retreiveXML(context));
		return true;
	}

	public boolean handleResponse(MessageContext context) {
		System.out.println("4HHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHHH");
		hi.getHandlerConfig().put("response", retreiveXML(context));
		return true;
	}

	private String retreiveXML(MessageContext context) {
		try {
			SOAPMessage message = ((SOAPMessageContext) context).getMessage();
			Transformer tf = TransformerFactory.newInstance().newTransformer();
			Source sc = message.getSOAPPart().getContent();
			ByteArrayOutputStream stream = new ByteArrayOutputStream();
			StreamResult result = new StreamResult(stream);
			tf.transform(sc, result);
			return stream.toString();
		} catch (Exception e) {
			StringWriter writer = new StringWriter();
			e.printStackTrace(new PrintWriter(writer));
			return writer.toString();
		}
	}
}