/*
 * The SOSI OSS Library - Copyright (C) 2011 National Board of e-Health (NSI)
 *
 * All source code and information supplied as part of the SOSI OSS Library
 * is copyright to National Board of e-Health.
 *
 * The source code has been released under a dual license - meaning you can
 * use either licensed version of the library with your code.
 *
 * It is released under the Common Public License 1.0, a copy of which can
 * be found at the link below.
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * It is released under the LGPL (GNU Lesser General Public License), either
 * version 2.1 of the License, or (at your option) any later version. A copy
 * of which can be found at the link below.
 * http://www.gnu.org/copyleft/lesser.html
 *
 */
package dk.sosi.demo.cpr;

import org.apache.axis.EngineConfiguration;
import org.apache.axis.Handler;
import org.apache.axis.SimpleChain;
import org.apache.axis.SimpleTargetedChain;
import org.apache.axis.configuration.SimpleProvider;
import org.apache.axis.transport.http.HTTPSender;
import org.apache.axis.transport.http.HTTPTransport;

/**
 * Contains helper methods for CPR demo.
 * 
 * @author Simon
 * @since 1.3
 */
public class CPRClientUtils {
	
	public static EngineConfiguration createClientConfig() { 
       SimpleProvider clientConfig=new SimpleProvider(); 
       SimpleChain reqHandler=new SimpleChain(); 
       SimpleChain respHandler=new SimpleChain(); 
       reqHandler.addHandler(new CPRClientRequestHandler()); 
       // notice: user must implement sosiclientresponsehandler because of callback method
       respHandler.addHandler(new CPRClientResponseHandler()); 
       Handler pivot=(Handler)new HTTPSender(); 
       Handler transport=new SimpleTargetedChain(reqHandler, pivot, respHandler); 
       clientConfig.deployTransport(HTTPTransport.DEFAULT_TRANSPORT_NAME,transport); 

       return clientConfig;    
     } 
}
