/*
 * The SOSI OSS Library - Copyright (C) 2011 National Board of e-Health (NSI)
 *
 * All source code and information supplied as part of the SOSI OSS Library
 * is copyright to National Board of e-Health.
 *
 * The source code has been released under a dual license - meaning you can
 * use either licensed version of the library with your code.
 *
 * It is released under the Common Public License 1.0, a copy of which can
 * be found at the link below.
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * It is released under the LGPL (GNU Lesser General Public License), either
 * version 2.1 of the License, or (at your option) any later version. A copy
 * of which can be found at the link below.
 * http://www.gnu.org/copyleft/lesser.html
 *
 */
package dk.sosi.demo.cpr;

import dk.sosi.seal.SOSIFactory;
import dk.sosi.seal.model.Reply;
import org.apache.axis.AxisFault;
import org.apache.axis.MessageContext;
import org.apache.axis.handlers.BasicHandler;

public abstract class SOSIClientResponseHandler extends BasicHandler {

	public void invoke(MessageContext msgContext) throws AxisFault {
		Reply reply = null;
		try {
			SOSIFactory factory = (SOSIFactory) msgContext.getProperty("sosi:factory");

			String xml = msgContext.getCurrentMessage().getSOAPPartAsString();
			// remove indention added by axis
			xml = removeFormatting(xml);
			reply = factory.deserializeReply(xml);
			if(reply.isFault()) {
				onSOSIFault(reply);
			}
		} catch (RuntimeException e) {
			onSOSIFault(e);
		}
	}

	abstract protected void onSOSIFault(Exception e) throws AxisFault;

	abstract protected void onSOSIFault(Reply reply) throws AxisFault;

	public void onFault(MessageContext arg0) {
		super.onFault(arg0);
	}

	public String removeFormatting(String xml) {
		return xml.replaceAll(">\\s*<", "><");
	}
}
