/*
 * The SOSI OSS Library - Copyright (C) 2011 National Board of e-Health (NSI)
 *
 * All source code and information supplied as part of the SOSI OSS Library
 * is copyright to National Board of e-Health.
 *
 * The source code has been released under a dual license - meaning you can
 * use either licensed version of the library with your code.
 *
 * It is released under the Common Public License 1.0, a copy of which can
 * be found at the link below.
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * It is released under the LGPL (GNU Lesser General Public License), either
 * version 2.1 of the License, or (at your option) any later version. A copy
 * of which can be found at the link below.
 * http://www.gnu.org/copyleft/lesser.html
 *
 */

package dk.sosi.demo.client.pacf;

import dk.sosi.seal.SOSIFactory;
import dk.sosi.seal.model.Reply;
import dk.sosi.seal.model.Request;
import dk.sosi.seal.model.SecurityTokenRequest;
import dk.sosi.seal.model.SecurityTokenResponse;
import dk.sosi.seal.model.constants.FlowStatusValues;
import dk.sosi.seal.xml.XmlUtil;
import org.w3c.dom.Document;

/**
 * @author sr
 * @since 1.0
 */
public class MockServiceConnector implements ServiceConnector {

    /* (non-Javadoc)
      * @see dk.sosi.demo.client.pacf.ServiceConnector#getRequest()
      */
    public String getRequest() {
        return "<text>REQUEST</text>";
    }

    /* (non-Javadoc)
      * @see dk.sosi.demo.client.pacf.ServiceConnector#getResponse()
      */
    public String getResponse() {
        return "<text>RESPONSE</text>";
    }

    /* (non-Javadoc)
      * @see dk.sosi.demo.client.pacf.ServiceConnector#callService(org.w3c.dom.Document)
      */
    public SecurityTokenResponse callIdpService(SOSIFactory factory, Document doc) throws Exception {
    	SecurityTokenRequest request = factory.deserializeSecurityTokenRequest(XmlUtil.node2String(doc));
        return factory.createNewSecurityTokenResponse(request);
    }

    /* (non-Javadoc)
      * @see dk.sosi.demo.client.pacf.ServiceConnector#callService(org.w3c.dom.Document)
      */
    public Reply callProviderService(SOSIFactory factory, Document doc) throws Exception {
    	Request request = factory.deserializeRequest(XmlUtil.node2String(doc));
        return factory.createNewReply(request, FlowStatusValues.FLOW_FINALIZED_SUCCESFULLY);
    }

}
