/*
 * The SOSI OSS Library - Copyright (C) 2011 National Board of e-Health (NSI)
 *
 * All source code and information supplied as part of the SOSI OSS Library
 * is copyright to National Board of e-Health.
 *
 * The source code has been released under a dual license - meaning you can
 * use either licensed version of the library with your code.
 *
 * It is released under the Common Public License 1.0, a copy of which can
 * be found at the link below.
 * http://www.opensource.org/licenses/cpl1.0.php
 *
 * It is released under the LGPL (GNU Lesser General Public License), either
 * version 2.1 of the License, or (at your option) any later version. A copy
 * of which can be found at the link below.
 * http://www.gnu.org/copyleft/lesser.html
 *
 */
package dk.sosi.demo.cpr;

import dk.sosi.demo.provider.vault.CredentialVaultUtil;
import dk.sosi.seal.SOSIFactory;
import dk.sosi.seal.model.Reply;
import dk.sosi.seal.model.constants.DGWSConstants;

/**
* @since 1.5
*/
public class CPRAxisExceptionHandlerFilter extends SOSIAxisExceptionHandlerFilter{

	private SOSIFactory factory = CredentialVaultUtil.createSOSIFactory(null);

	protected Reply handleError(String xml) {

		boolean isRequestFailed = xml.indexOf("WST_INVALID_REQUEST") >= 0;

		String faultCode;
		String faultString;
		if (isRequestFailed) {
			faultCode = "WST_REQUEST_FAILED";
			faultString = "WST_REQUEST_FAILED";
		} else {
			faultCode = "WST_INVALID_REQUEST";
			faultString = "WST_INVALID_REQUEST";
		}

		Reply reply = factory.createNewErrorReply(DGWSConstants.VERSION_1_0_1, "234124", "125614", faultCode, faultString);
		return reply;
	}

}
