package dk.sosi.seal.model;

import org.w3c.dom.Node;
import org.xml.sax.SAXException;

import javax.xml.transform.dom.DOMSource;
import javax.xml.validation.Schema;
import java.io.IOException;

public abstract class AbstractBlurringInstructions {

    protected void validate(Node blurringInstructionsXml) {
        try {
            Schema schema = SchemaUtil.loadSchema(getXsdPath());
            schema.newValidator().validate(new DOMSource(blurringInstructionsXml));
        } catch (SAXException | IOException e) {
            throw new ModelException("Error validating blurring instructions: " + e.getMessage(), e);
        }
    }

    abstract protected String getXsdPath();

}
