package dk.sosi.seal.model;

import dk.sosi.seal.model.constants.*;
import org.w3c.dom.Document;
import org.w3c.dom.Element;
import java.util.List;


public class SubjectRelations11DomBuilder extends SubjectRelationsDomBuilder {

    public SubjectRelations11DomBuilder(SubjectRelations subjectRelations) {
        SubjectRelations11Impl subjectRelations11 = (SubjectRelations11Impl)subjectRelations;
        verifiedRelations = subjectRelations11.getVerifiedRelations();
    }

    private final List<SubjectRelations11Impl.VerifiedRelation> verifiedRelations;

    public List<SubjectRelations11Impl.VerifiedRelation> getVerifiedRelations() {
        return verifiedRelations;
    }

    @Override
    public Document build() throws ModelException {
        return createDocument();
    }

    @Override
    protected Element createRoot(Document doc) {
        return createElement(SubjectRelations11Tags.SUBJECT_RELATIONS);
    }

    @Override
    protected void addRootAttributes(Element root) {
        addNS(root, NameSpaces.NS_SRP, NameSpaces.SUBJECT_RELATIONS_PROFILE_1_1);
    }

    @Override
    protected void appendToRoot(Document localDoc, Element root) {
        Element groupElm = createElement(SubjectRelations11Tags.VERIFIED_RELATION);
        for (SubjectRelations11Impl.VerifiedRelation vr : getVerifiedRelations()) {
            groupElm.setAttributeNS(null, "relationType", vr.getRelationType().getValue());
            groupElm.setAttributeNS(null, "relatedPersonID", vr.getRelatedPersonID());
            groupElm.setAttributeNS(null, "relatedPersonIDType", vr.getRelatedPersonIDType().getValue());
            vr.getRelatedPersonAge().ifPresent(v ->  groupElm.setAttributeNS(null, "relatedPersonAge", v.toString()));
            root.appendChild(groupElm);
        }
    }

    @Override
    protected void validateBeforeBuild() throws ModelException {}
}
