/*
 * The MIT License
 *
 * Original work sponsored and donated by National Board of e-Health (NSI), Denmark (http://www.nsi.dk)
 *
 * Copyright (C) 2011 National Board of e-Health (NSI), Denmark (http://www.nsi.dk)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 *
 */
package dk.sosi.seal.model.constants;

public enum BasicPrivileges12Tags implements Tag {
    PRIVILEGE_LIST("PrivilegeList", NameSpaces.NS_BPP, NameSpaces.OIO_BASIC_PRIVILEGES_PROFILE_1_2),
    PRIVILEGE_GROUP("PrivilegeGroup"),
    PRIVILEGE("Privilege"),
	CONSTRAINT("Constraint");

    public static final String NAME_ATT = "Name";

    private final String tag;
    private final String prefix;
    private final String namespace;

    BasicPrivileges12Tags(String tag, String prefix, String namespace) {
        this.tag = tag;
        this.prefix = prefix;
        this.namespace = namespace;
    }

    BasicPrivileges12Tags(String tag) {
        this(tag, null, null);
    }

    public String getNS() {
        return namespace;
    }

    public String getTagName() {
        return tag;
    }

    public String getPrefix() {
        return prefix;
    }
}
