/*
 * The MIT License
 *
 * Original work sponsored and donated by National Board of e-Health (NSI), Denmark (http://www.nsi.dk)
 *
 * Copyright (C) 2011 National Board of e-Health (NSI), Denmark (http://www.nsi.dk)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 *
 */

package dk.sosi.seal.model.constants;

/**
 */
public interface HealthcareSAMLAttributes {

    String USER_AUTHORIZATION_CODE = "dk:healthcare:saml:attribute:UserAuthorizationCode";
    String USER_EDUCATION_CODE = "dk:healthcare:saml:attribute:UserEducationCode";
    String USER_GIVEN_NAME = "dk:healthcare:saml:attribute:UserGivenName";
    String USER_SUR_NAME = "dk:healthcare:saml:attribute:UserSurName";

    String IT_SYSTEM_NAME = "dk:healthcare:saml:attribute:ITSystemName";

    String ON_BEHALF_OF = "dk:healthcare:saml:attribute:OnBehalfOf";

    /**
     * Not an attribute, but a prefix, used in values for claims, and scopes for privileges
     */
    String THROUGH_PROCURATION_BY_CPR = "urn:dk:healthcare:saml:actThroughProcurationBy:cprNumberIdentifier";
    String THROUGH_WARD_CUSTODY_BY_CPR = "urn:dk:healthcare:saml:actThrough:WardCustody:cprNumberIdentifier";
    String THROUGH_PARTLY_WARD_CUSTODY_BY_CPR = "urn:dk:healthcare:saml:actThrough:PartlyWardCustody:cprNumberIdentifier";
    String THROUGH_PARENTAL_CUSTODY_BY_CPR = "urn:dk:healthcare:saml:actThrough:ParentalCustody:cprNumberIdentifier";
}
