/*
 * The MIT License
 *
 * Original work sponsored and donated by National Board of e-Health (NSI), Denmark (http://www.nsi.dk)
 *
 * Copyright (C) 2011 National Board of e-Health (NSI), Denmark (http://www.nsi.dk)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 *
 */

package dk.sosi.seal.model.constants;

/**
 */
public interface OIOSAML3Attributes {
	String ASSURANCE_LEVEL = 			"https://data.gov.dk/concept/core/nsis/loa";

	String SPEC_VERSION = 				"https://data.gov.dk/model/core/specVersion";
	String SPEC_VERSION_ADDITIONAL =	"https://healthcare.data.gov.dk/model/core/specVersion";

	String CPR = 						"https://data.gov.dk/model/core/eid/cprNumber";
	String ALIAS = 						"https://data.gov.dk/model/core/eid/alias";
	String EMAIL = 						"https://data.gov.dk/model/core/eid/email";
	String PRIVILEGES_INTERMEDIATE = 	"https://data.gov.dk/model/core/eid/privilegesIntermediate";
	
	String CVR = 						"https://data.gov.dk/model/core/eid/professional/cvr";
	String ORGANIZATION_NAME = 			"https://data.gov.dk/model/core/eid/professional/orgName";
	String PROFESSIONAL_UUID = 			"https://data.gov.dk/model/core/eid/professional/uuid/persistent";
	String AUTHNINSTANT =               "https://data.gov.dk/concept/core/nsis";
}
