/*
 * The MIT License
 *
 * Original work sponsored and donated by National Board of e-Health (NSI), Denmark (http://www.nsi.dk)
 *
 * Copyright (C) 2011 National Board of e-Health (NSI), Denmark (http://www.nsi.dk)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 *
 */
package dk.sosi.seal.model.constants;

/**
 * Class containing SAML XML attributes.
 * 
 * @author kkj
 * @since 1.5.6
 */
public class SAMLAttributes {

    public static final String METHOD = "Method";
    public static final String FORMAT = "Format";
    public static final String FRIENDLY_NAME = "FriendlyName";
    public static final String ISSUE_INSTANT = "IssueInstant";
    public static final String NAME = "Name";
    public static final String NAME_FORMAT = "NameFormat";
    public static final String NOT_BEFORE = "NotBefore";
    public static final String NOT_ON_OR_AFTER = "NotOnOrAfter";
    public static final String VERSION = "Version";
    public static final String AUTHN_INSTANT = "AuthnInstant";
    public static final String ID = "ID";
    public static final String RECIPIENT = "Recipient";
    public static final String IN_RESPONSE_TO = "InResponseTo";
    public static final String VALUE = "Value";
    public static final String SESSION_INDEX = "SessionIndex";
}
