/**
 * The MIT License
 *
 * Original work sponsored and donated by National Board of e-Health (NSI), Denmark
 * (http://www.nsi.dk)
 *
 * Copyright (C) 2011 National Board of e-Health (NSI), Denmark (http://www.nsi.dk)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
package dk.sosi.seal.common.functionalExt.either;

import org.junit.Test;

import java.util.function.Function;

import static dk.sosi.seal.common.functionalExt.either.Either.*;
import static org.junit.Assert.*;

public class EitherTest {

    private final String success = "Succes";

    @Test
    public void GivenLeftWhenMatchIsCalledThenLeftShouldExecute()
    {
        Either<String, String> e = left(success);
        Function<String, String> left = s -> s;
        Function<String, String> right = s -> "Failure";
        assertSame(e.match(left, right), success);
    }

    @Test
    public void GivenRightWhenMatchIsCalledThenRightShouldExecute()
    {
        Either<String, String> e = right(success);
        Function<String, String> left = s -> "Failure";
        Function<String, String> right = s -> s;
        assertSame(e.match(left, right), success);
    }
}
