package dk.sosi.seal.model;

import dk.sosi.seal.xml.XmlUtil;
import org.junit.Assert;
import org.junit.Test;
import org.w3c.dom.Document;

import static dk.sosi.seal.model.BlurredOrganisation.OrgType.Cvr;
import static dk.sosi.seal.model.BlurredOrganisation.Reason.FromRelatedPerson;
import static dk.sosi.seal.model.BlurredOrganisation.Reason.SpecificForPerson;

public class BlurringInstructions10DomBuilderTest {

    @Test
    public void simpleBlurringInstructions() {
        BlurringInstructions10DomBuilder builder = new BlurringInstructions10DomBuilder("5kZZLNQMNIkz1Y7tCDj3GQ==");
        builder.addBlurringInstruction("29190925", Cvr, SpecificForPerson);
        builder.addBlurringInstruction("29190941", Cvr, FromRelatedPerson);
        Document build = builder.build();

        String actualXml = XmlUtil.node2String(build, true, false);
        Assert.assertNotNull(actualXml);
    }

    @Test
    public void emptyBlurringInstructions() {
        BlurringInstructions10DomBuilder builder = new BlurringInstructions10DomBuilder("5kZZLNQMNIkz1Y7tCDj3GQ==");
        Document build = builder.build();

        String actualXml = XmlUtil.node2String(build, true, false);
        Assert.assertNotNull(actualXml);
    }
}