package dk.sosi.seal.model;

import dk.sosi.seal.xml.XmlUtil;
import org.junit.Test;
import org.w3c.dom.Document;

import static dk.sosi.seal.model.BlurredOrganisation.OrgType.Cvr;
import static dk.sosi.seal.model.BlurredOrganisation.OrgType.Sor;
import static dk.sosi.seal.model.BlurredOrganisation.Reason.FromRelatedPerson;
import static dk.sosi.seal.model.BlurredOrganisation.Reason.SpecificForPerson;
import static dk.sosi.seal.model.BlurredOrganisation.Reason.SpecificDepartment;
import static org.junit.Assert.assertNotNull;
import static org.junit.Assert.assertTrue;

public class BlurringInstructions11DomBuilderTest {

    @Test
    public void simpleBlurringInstructions() {
        BlurringInstructions11DomBuilder builder = new BlurringInstructions11DomBuilder("5kZZLNQMNIkz1Y7tCDj3GQ==");
        builder.addBlurringInstruction("29190925", Cvr, SpecificForPerson);
        builder.addBlurringInstruction("29190941", Cvr, FromRelatedPerson);
        builder.addBlurringInstruction("12345678", Sor, SpecificDepartment);
        Document build = builder.build();

        String actualXml = XmlUtil.node2String(build, true, false);
        assertNotNull(actualXml);
        assertTrue(actualXml.contains("29190925"));
        assertTrue(actualXml.contains("29190941"));
        assertTrue(actualXml.contains("12345678"));
    }

    @Test
    public void emptyBlurringInstructions() {
        BlurringInstructions11DomBuilder builder = new BlurringInstructions11DomBuilder("5kZZLNQMNIkz1Y7tCDj3GQ==");
        Document build = builder.build();

        String actualXml = XmlUtil.node2String(build, true, false);
        assertNotNull(actualXml);
    }
}