package dk.sosi.seal.model;

import dk.sosi.seal.model.constants.SubjectIdentifierTypeValues;
import org.junit.Assert;
import org.junit.Test;

public class CareProviderTest {
    @Test
    public void careProvider_idValidation_cvr() {
        // Arrange
        String type = SubjectIdentifierTypeValues.CVR_NUMBER;

        // Act
        try {
            new CareProvider(type, "", "Initech");
        }
        catch(ModelException e) {
            // Assert
            Assert.assertTrue(e.getMessage().startsWith(type));
        }
    }

    @Test
    public void careProvider_idValidation_yder() {
        // Arrange
        String type = SubjectIdentifierTypeValues.Y_NUMBER;

        // Act
        try {
            new CareProvider(type, "", "Initrode");
        }
        catch(ModelException e) {
            // Assert
            Assert.assertTrue(e.getMessage().startsWith(type));
        }
    }
}
