package dk.sosi.seal.model;

import dk.sosi.seal.Properties;
import dk.sosi.seal.SOSIFactory;
import org.junit.Test;

import static org.junit.Assert.assertTrue;

public class IdCardTest {

    private final SOSIFactory sosiFactory = new SOSIFactory(new java.util.Properties());
    private final CareProvider cp = new CareProvider("medcom:cvrnumber", "123456", "orgName");

    @Test
    public void givenSystemIdCardThenIssuerShouldContainVersion() {
        SystemIDCard idCard =
                sosiFactory.createNewSystemIDCard("1.0.1", cp, AuthenticationLevel.NO_AUTHENTICATION, "", "", null, "");
        String expected = "SealJava-" + Properties.projectVersion + "-";
        assertTrue("'" + idCard.getIssuer() + "' should start with '" + expected + "'",
                   idCard.getIssuer().startsWith(expected));
    }

    @Test
    public void givenUserIdCardThenIssuerShouldContainVersion() {
        UserInfo ui = new UserInfo("", "Test", "Test", "", "", "Test", "");
        SystemIDCard idCard = sosiFactory.createNewUserIDCard("1.0.1",
                                                              ui,
                                                              cp,
                                                              AuthenticationLevel.NO_AUTHENTICATION,
                                                              "",
                                                              "",
                                                              null,
                                                              "");
        String expected = "SealJava-" + Properties.projectVersion + "-";
        assertTrue("'" + idCard.getIssuer() + "' should start with '" + expected + "'",
                   idCard.getIssuer().startsWith(expected));
    }
}