package dk.sosi.seal.model;


import dk.sosi.seal.vault.CredentialVault;
import org.w3c.dom.Document;

import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

public class MissingMessageSignatureSigner extends LibertyMessageDOMEnhancer {

    private final List<String> skipURIs = new ArrayList<>();

    public MissingMessageSignatureSigner(CredentialVault credentialVault, Document document) {
        super(credentialVault, SignatureConfiguration.DEFAULT_KEY_INFO_TYPE, document, false);
    }

    public MissingMessageSignatureSigner skipUri(String skipUri) {
        skipURIs.add(skipUri);
        return this;
    }

    @Override
    protected SignatureConfiguration getSignatureConfiguration(String securityWsuId, List<SignatureConfiguration.Reference> references) {
        List<SignatureConfiguration.Reference> filteredReferences = references.stream().filter(reference -> !skipURIs.contains(reference.getURI())).collect(Collectors.toList());
        return super.getSignatureConfiguration(securityWsuId, filteredReferences);
    }
}
