package dk.sosi.seal.model;

import dk.sosi.seal.model.constants.Tag;
import dk.sosi.seal.vault.CredentialVault;
import org.w3c.dom.Element;

import java.util.ArrayList;
import java.util.List;

public class MissingMessageSignatureValidator extends LibertySignatureValidator {
    private final List<String> skipURIs = new ArrayList<>();

    public MissingMessageSignatureValidator(CredentialVault vault, Element dom) {
        super(vault, dom);
    }

    public MissingMessageSignatureValidator skipUri(String skipUri) {
        skipURIs.add(skipUri);
        return this;
    }

    @Override
    protected void validateIsReferenced(Element element, List<Element> references) {
        if (!skipURIs.contains(element.getAttribute("wsu:Id"))) {
            super.validateIsReferenced(element, references);
        }
    }

    @Override
    protected void validateIsReferenced(Element element, List<Element> references, Tag tag) {
        if (!skipURIs.contains(element.getAttribute("wsu:Id"))) {
            super.validateIsReferenced(element, references, tag);
        }
    }
}
