package dk.sosi.seal.model.mitid;

import dk.sosi.seal.model.OIOSAMLAssertion;
import dk.sosi.seal.util.SOSITestUtils;
import dk.sosi.seal.xml.XmlUtil;
import org.junit.Test;
import org.w3c.dom.Document;
import org.xml.sax.InputSource;

import static org.junit.Assert.assertEquals;

public class OIOSAMLAssertionTest {

    @Test
    public void validateNemLoginAssertion() {
        InputSource inputSource = new InputSource(this.getClass().getResourceAsStream("/oiosaml-examples/NemLog-in_assertion_valid_signature.xml"));
        Document document = XmlUtil.readXml(System.getProperties(), inputSource, false);
        OIOSAMLAssertion assertion = new OIOSAMLAssertion(document.getDocumentElement());
        assertion.validateSignatureAndTrust(SOSITestUtils.getNewIdPTrustVault());
        assertEquals("3", assertion.getAssuranceLevel());
        assertEquals("25450442", assertion.getCvrNumberIdentifier());
        assertEquals("27304742", assertion.getRidNumberIdentifier());
    }
}
