/*
 * The MIT License
 *
 * Original work sponsored and donated by National Board of e-Health (NSI), Denmark (http://www.nsi.dk)
 *
 * Copyright (C) 2011 National Board of e-Health (NSI), Denmark (http://www.nsi.dk)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of
 * this software and associated documentation files (the "Software"), to deal in
 * the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies
 * of the Software, and to permit persons to whom the Software is furnished to do
 * so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all
 * copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 *
 */
package dk.sosi.seal.pki;

public class InlinedTestCertificates {

    public static final String USER_CERTIFICATE_IG =
        "MIIGGTCCBQGgAwIBAgIETHT2VjANBgkqhkiG9w0BAQsFADBFMQswCQYDVQQGEwJE"+
        "SzESMBAGA1UECgwJVFJVU1QyNDA4MSIwIAYDVQQDDBlUUlVTVDI0MDggU3lzdGVt"+
        "dGVzdCBYIENBMB4XDTExMDIwODEzMDIyOVoXDTE1MDIwODEzMDE0OFowcTELMAkG"+
        "A1UEBhMCREsxJTAjBgNVBAoMHExBS0VTSURFIEEvUyAvLyBDVlI6MjU0NTA0NDIx"+
        "OzAXBgNVBAMMEEFuZGVycyBTw7hyZW5zZW4wIAYDVQQFExlDVlI6MjU0NTA0NDIt"+
        "UklEOjYyODEwNzA4MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAy73u"+
        "fdTsmgVFHbsKeKuVT2vKN/iVv9sfEOAOnugk5jfGPsE7yVw2LzuxdGzTHyeZRIqf"+
        "K6fRg/8on39s4JEGHAcdkEfKDtYZTZeJAj5l8brJqQgOdAbN3I7k+cWP1k5rT0/q"+
        "yETlfxZjMyRDCrOU4F84VKE3Up83VDkz17OdDCqB1v4HZv6H6tBiqbDmW/itN/pw"+
        "vHSy0hpPZndLSm4CoIAOqKR07cjqjQI64r0GtZVl+7qm5sDMa5k6n3VhpmxAw61c"+
        "gZmRZEsjDJG+psout6fBQBvYKne4V42DMxjbfoHzfRLFTQCKmdRHtl8RmbOc0rzb"+
        "GDcy9C57+Kmb04j+GwIDAQABo4IC4zCCAt8wDgYDVR0PAQH/BAQDAgP4MIGXBggr"+
        "BgEFBQcBAQSBijCBhzA8BggrBgEFBQcwAYYwaHR0cDovL29jc3Auc3lzdGVtdGVz"+
        "dDEwLnRydXN0MjQwOC5jb20vcmVzcG9uZGVyMEcGCCsGAQUFBzAChjtodHRwOi8v"+
        "bS5haWEuc3lzdGVtdGVzdDEwLnRydXN0MjQwOC5jb20vc3lzdGVtdGVzdDEwLWNh"+
        "LmNlcjCCASAGA1UdIASCARcwggETMIIBDwYNKwYBBAGB9FECBAECBTCB/TAvBggr"+
        "BgEFBQcCARYjaHR0cDovL3d3dy50cnVzdDI0MDguY29tL3JlcG9zaXRvcnkwgckG"+
        "CCsGAQUFBwICMIG8MAwWBURhbklEMAMCAQEagatEYW5JRCB0ZXN0IGNlcnRpZmlr"+
        "YXRlciBmcmEgZGVubmUgQ0EgdWRzdGVkZXMgdW5kZXIgT0lEIDEuMy42LjEuNC4x"+
        "LjMxMzEzLjIuNC4xLjIuNS4gRGFuSUQgdGVzdCBjZXJ0aWZpY2F0ZXMgZnJvbSB0"+
        "aGlzIENBIGFyZSBpc3N1ZWQgdW5kZXIgT0lEIDEuMy42LjEuNC4xLjMxMzEzLjIu"+
        "NC4xLjIuNS4wGgYDVR0RBBMwEYEPYWRzQGxha2VzaWRlLmRrMIGnBgNVHR8EgZ8w"+
        "gZwwPKA6oDiGNmh0dHA6Ly9jcmwuc3lzdGVtdGVzdDEwLnRydXN0MjQwOC5jb20v"+
        "c3lzdGVtdGVzdDEwLmNybDBcoFqgWKRWMFQxCzAJBgNVBAYTAkRLMRIwEAYDVQQK"+
        "DAlUUlVTVDI0MDgxIjAgBgNVBAMMGVRSVVNUMjQwOCBTeXN0ZW10ZXN0IFggQ0Ex"+
        "DTALBgNVBAMMBENSTDIwHwYDVR0jBBgwFoAUJ3LYtSDglQSuo6B2mlDyRzOBavAw"+
        "HQYDVR0OBBYEFLvZJKUYxwezIEmQ3VzqBavVFJPoMAkGA1UdEwQCMAAwDQYJKoZI"+
        "hvcNAQELBQADggEBADWkwV2N8mJaavGNnG77EbENXQAgGjc7vLrTujojeudxYS92"+
        "5lhZfKpcjhUBxiVMlqQCwcw9J/3Bykppg/7OqNnDRHfwrpIKQFu3vapSyxmKNzQ+"+
        "HHTiUGSVEAzSO+sBTTIKCXIVMUBHuCmec4Hq8TCXI4aykqtEef8EHBXvIbqse0qN"+
        "l/9EqMde2bCjySX9cIZ1DTIzd1M9yF1sY4gWbPvxq6JXUz9CrdHD9iArvdL/PPhs"+
        "BVnisCPrYqU8PxvdT0K+HBMCYTMKbMVgj0JU811eH497YkKZNvYYQrCHh2oorB2J"+
        "vByjLucIu+0+UdLKlBdDD/VcBv1dvXMxxbREeOc=";

    public static final String USER_CERTIFICATE_WITHOUT_REF_TO_INTERMEDIATE_CERT_IG =
         "MIIFxzCCBK+gAwIBAgIETHTrxjANBgkqhkiG9w0BAQsFADBFMQswCQYDVQQGEwJE" +
         "SzESMBAGA1UECgwJVFJVU1QyNDA4MSIwIAYDVQQDDBlUUlVTVDI0MDggU3lzdGVt" +
         "dGVzdCBYIENBMB4XDTEwMTIwNTA2MTM1M1oXDTEzMTIwNTA2NDM1M1owgYYxCzAJ" +
         "BgNVBAYTAkRLMSwwKgYDVQQKDCNTSUdOQVRVUkdSVVBQRU4gQS9TIC8vIENWUjoy" +
         "OTkxNTkzODFJMCAGA1UEBRMZQ1ZSOjI5OTE1OTM4LVVJRDo5NjA5MjEwNjAlBgNV" +
         "BAMMHlNJR05BVFVSR1JVUFBFTiBBL1MgLSBlVEwgZGVtbzCCASIwDQYJKoZIhvcN" +
         "AQEBBQADggEPADCCAQoCggEBAI45MfoBVxRBDpOJyMs5i9KyBOs9hJ58uGx3tWfP" +
         "cqjdeIq6g33n9aam7gPqpGozClFvHh/XIrh/us6vxCeM1TjLGw5EEfhd5ILYwdOj" +
         "rBflE99zy17thHZES3hDFdehn9TuIkj1PvCOvDwlot/8m3VQD7frFKD+Pdge1ak1" +
         "KcLYmdAttWzKlEfc6tYr3pbR0ATNPVwsiSImmQILLWm05MDDQHbTjkMLKeqMkZpG" +
         "m4qufHXFCaV3TZhErK3S2j3LNBu0useFiQMIkKvIZEfkVo5z7U0jtetDVDGICOBi" +
         "hhWiDyPm5cNcEGUfkCfME+qQBdgyPmzdsaN7XnfSP7c5VWsCAwEAAaOCAnswggJ3" +
         "MA4GA1UdDwEB/wQEAwIDuDBMBggrBgEFBQcBAQRAMD4wPAYIKwYBBQUHMAGGMGh0" +
         "dHA6Ly9vY3NwLnN5c3RlbXRlc3QxMC50cnVzdDI0MDguY29tL3Jlc3BvbmRlcjCC" +
         "ASAGA1UdIASCARcwggETMIIBDwYNKwYBBAGB9FECBAEDBDCB/TAvBggrBgEFBQcC" +
         "ARYjaHR0cDovL3d3dy50cnVzdDI0MDguY29tL3JlcG9zaXRvcnkwgckGCCsGAQUF" +
         "BwICMIG8MAwWBURhbklEMAMCAQEagatEYW5JRCB0ZXN0IGNlcnRpZmlrYXRlciBm" +
         "cmEgZGVubmUgQ0EgdWRzdGVkZXMgdW5kZXIgT0lEIDEuMy42LjEuNC4xLjMxMzEz" +
         "LjIuNC4xLjMuNC4gRGFuSUQgdGVzdCBjZXJ0aWZpY2F0ZXMgZnJvbSB0aGlzIENB" +
         "IGFyZSBpc3N1ZWQgdW5kZXIgT0lEIDEuMy42LjEuNC4xLjMxMzEzLjIuNC4xLjMu" +
         "NC4wgacGA1UdHwSBnzCBnDA8oDqgOIY2aHR0cDovL2NybC5zeXN0ZW10ZXN0MTAu" +
         "dHJ1c3QyNDA4LmNvbS9zeXN0ZW10ZXN0MTAuY3JsMFygWqBYpFYwVDELMAkGA1UE" +
         "BhMCREsxEjAQBgNVBAoMCVRSVVNUMjQwODEiMCAGA1UEAwwZVFJVU1QyNDA4IFN5" +
         "c3RlbXRlc3QgWCBDQTENMAsGA1UEAwwEQ1JMMTAfBgNVHSMEGDAWgBQncti1IOCV" +
         "BK6joHaaUPJHM4Fq8DAdBgNVHQ4EFgQUMU2s9wd4EQ0KTi+G7PkRtOEbSW4wCQYD" +
         "VR0TBAIwADANBgkqhkiG9w0BAQsFAAOCAQEAauHQPcataE3fojW1t1C2/VbQYlOj" +
         "0iJpeK6YLxPl1ECsFWifKHzFANYQ6fNMF59SIyoePvTdWnVtamfwMBz8X8VU5+0P" +
         "mE7S2kUBnlz+WV6Zn18hUJPHb+6kv//7cpsH6UV/6KYVWI4gytgye5EFPppEsbXK" +
         "9WzLrdsEDm283CdLdqC9uiMjtzYuRjzosJ0Vb05mJZoD4QAnWKIUwkcuuOzAFfVN" +
         "byz8lyJhIMycvS/qNAT2XvRuiUWOwbqhYNyNC0PycFeMjk2HpYYUh1fgTnYxGzI4" +
         "v5x70XEe5KV4EL/dlcg8V/WQ62fyiqCzeFaN90wUi25MZZTPhErBk838gQ==";


    public final static String OCES_1_PRODUCTION_CERT =
            "MIIFsDCCBJigAwIBAgIERZLujzANBgkqhkiG9w0BAQUFADAxMQswCQYDVQQGEwJE" +
            "SzEMMAoGA1UEChMDVERDMRQwEgYDVQQDEwtUREMgT0NFUyBDQTAeFw0wOTA3MjEw" +
            "NjIxMjNaFw0xMTA3MjEwNjUxMjNaMIGBMQswCQYDVQQGEwJESzEiMCAGA1UEChMZ" +
            "REFOSUQgQS9TIC8vIENWUjozMDgwODQ2MDFOMCUGA1UEAxMeREFOSUQgQS9TIC0g" +
            "Q2VydGlmaWthdCBTdXBwb3J0MCUGA1UEBRMeQ1ZSOjMwODA4NDYwLVVJRDoxMjQ3" +
            "NzQ3OTk0MjYxMIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCPu57xjlFC7uUI" +
            "0+pFJ0GxnqCJTpcjZr4demnO+iyT/4uHXqgcztm7nxkYJMrkKkjQFXDLz2fuVO+D" +
            "oHPOfZ2oPOA1adf4BlN98LzLMa21Bl2An39fdaeus0RBlPAM4cRUI0O9pO2vatop" +
            "XwAFCwGGsCiB79pg6WxFsnQkej5f9QIDAQABo4IDATCCAv0wDgYDVR0PAQH/BAQD" +
            "AgO4MCsGA1UdEAQkMCKADzIwMDkwNzIxMDYyMTIzWoEPMjAxMTA3MjEwNjUxMjNa" +
            "MIIBNwYDVR0gBIIBLjCCASowggEmBgoqgVCBKQEBAQMDMIIBFjAvBggrBgEFBQcC" +
            "ARYjaHR0cDovL3d3dy5jZXJ0aWZpa2F0LmRrL3JlcG9zaXRvcnkwgeIGCCsGAQUF" +
            "BwICMIHVMAoWA1REQzADAgEBGoHGRm9yIGFudmVuZGVsc2UgYWYgY2VydGlmaWth" +
            "dGV0IGfmbGRlciBPQ0VTIHZpbGvlciwgQ1BTIG9nIE9DRVMgQ1AsIGRlciBrYW4g" +
            "aGVudGVzIGZyYSB3d3cuY2VydGlmaWthdC5kay9yZXBvc2l0b3J5LiBCZW3mcmss" +
            "IGF0IFREQyBlZnRlciB2aWxr5XJlbmUgaGFyIGV0IGJlZ3LmbnNldCBhbnN2YXIg" +
            "aWZ0LiBwcm9mZXNzaW9uZWxsZSBwYXJ0ZXIuMEEGCCsGAQUFBwEBBDUwMzAxBggr" +
            "BgEFBQcwAYYlaHR0cDovL29jc3AuY2VydGlmaWthdC5kay9vY3NwL3N0YXR1czAx" +
            "BgNVHSUEKjAoBggrBgEFBQcDAQYIKwYBBQUHAwIGCCsGAQUFBwMDBggrBgEFBQcD" +
            "BDAgBgNVHREEGTAXgRVzdXBwb3J0QGNlcnRpZmlrYXQuZGswgYQGA1UdHwR9MHsw" +
            "S6BJoEekRTBDMQswCQYDVQQGEwJESzEMMAoGA1UEChMDVERDMRQwEgYDVQQDEwtU" +
            "REMgT0NFUyBDQTEQMA4GA1UEAxMHQ1JMNDEzNTAsoCqgKIYmaHR0cDovL2NybC5v" +
            "Y2VzLmNlcnRpZmlrYXQuZGsvb2Nlcy5jcmwwHwYDVR0jBBgwFoAUYLWF7FZkfhIZ" +
            "J2cdUBVLc647+RIwHQYDVR0OBBYEFNvNQQHtMCV+AwnI5eeP7DnzoF+3MAkGA1Ud" +
            "EwQCMAAwGQYJKoZIhvZ9B0EABAwwChsEVjcuMQMCA6gwDQYJKoZIhvcNAQEFBQAD" +
            "ggEBAEBnDKtYLZfl7BZ3ENrF3SZuHxa1lLnIKbwK9FSIWuCdInEzi2yw1QMgryD6" +
            "CStJqrAH+ofMiJ6Z46hAOyRN70pA/r0fOpaUfePcuHU7bEYfaJriJi/09QEE8izO" +
            "edFSwl7bEPO7OQUg05FmLLqzs2G5hk4a8FwPGSeerg/Z7ZEJObyGOh9nByILIfwV" +
            "+ofwOC6nKmmgNWvjO9/7xLx7tGGrkO48zmva6sQBg24wgl98F9OtVObVqyA05lWs" +
            "CB1FYDoLC6eLbRlF5gjZL+3Ma+EU1cPMY5XBI/RDoc6IF2I/RY40hZu8vdIWI6Ct" +
            "bP9V1G7XnoQ3IST5Dceo+3vRZ2U=";

}
